%if 0%{?with_debug}
# https://bugzilla.redhat.com/show_bug.cgi?id=995136#c12
%global _dwz_low_mem_die_limit 0
%else
%global debug_package   %{nil}
%endif
%global package_name github.com/mikefarah/yq

%define name yq
%define version 2.4.0
%define release 1.0.4

Name:                   %{name}
Version:                %{version}
Release:                %{release}%{?dist}
Summary:                a lightweight and portable command-line YAML processor
License:                MIT
Url:                    https://github.com/mikefarah/yq
Source:                 %{name}-%{version}.tar.bz2
Vendor:                 Oracle America

BuildRequires:          golang >= 1.12.10

%description
a lightweight and portable command-line YAML processor

%prep
%setup -n %{name}-%{version}

# Populate GOPATH directories structure
# https://github.com/golang/go/wiki/GOPATH
export GOPATH=$(go env GOPATH)
GOPATH_SRC=$GOPATH/src/%{package_name}
%__mkdir_p $GOPATH_SRC
%__rm -r $GOPATH_SRC
%__ln_s $PWD $GOPATH_SRC

pushd $GOPATH_SRC
git_short_ver=`curl -sS https://api.github.com/repos/mikefarah/yq/git/refs/tags/v%{version} | jq -r '.object.sha' | colrm 8`
LDFLAGS="-X main.GitCommit=${git_short_ver} -X main.GitDescribe=%{version}"
go build -v -o %{name} --ldflags "${LDFLAGS}"

popd

%install
%__install -D -m 0755 %{name}  %{buildroot}/usr/bin/%{name}

%files
%license LICENSE THIRD_PARTY_LICENSES.txt
%attr(755,root,root) /usr/bin/%{name}

%clean
rm -fr %{buildroot}
rm -fr %{_builddir}/%{name}-%{version}

%changelog
* Tue Oct 15 2019 Thomas Tanaka <thomas.tanaka@oracle.com> - 2.4.0-1.0.4
- Golang CVE-2019-16276

* Fri Oct 11 2019 Durai G <durai.vattakalvalasu.govindas@oracle.com> - 2.4.0-1.0.3
- added THIRD_PARTY_LICENSES.txt file

* Thu Oct 10 2019 Durai G <durai.vattakalvalasu.govindas@oracle.com> - 2.4.0-1.0.2
- added external dependencies to source code

* Thu Aug 1 2019 Durai Govindasamy <durai.vattakalvalasu.govindas@oracle.com> 2.4.0-1.0.1
- Initial packaging
